=== debian/changelog ===
ros2-performance-test-fixture (0.0.9-1) unstable; urgency=medium

  * New upstream version 0.0.9
  * Refresh patches
    - Drop Fix-FTBFS-with-GCC-12.patch (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Tue, 26 Jul 2022 22:09:04 +0200

ros2-performance-test-fixture (0.0.8-3) unstable; urgency=medium

  * Fix FTBFS with GCC-12

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jun 2022 21:07:43 +0200

ros2-performance-test-fixture (0.0.8-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Jun 2022 11:35:12 +0200

ros2-performance-test-fixture (0.0.8-1) unstable; urgency=medium

  * Initial release (Closes: #1011979)

 -- Timo Röhling <roehling@debian.org>  Sun, 29 May 2022 23:03:18 +0200
