=== debian/control ===
Source: ros2-performance-test-fixture
Section: libs
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 ament-lint <!nocheck>,
 cmake,
 dh-ros,
 libbenchmark-dev,
 libosrf-testing-tools-cpp-dev,
 python3-ament-cmake-google-benchmark <!nocheck>,
Homepage: https://github.com/ros2/performance_test_fixture
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture
Description: Performance test fixture for ROS 2 benchmarks
 This package is part of ROS 2, the Robot Operating System.
 The performance test fixture provides a framework to run Google Benchmark
 driven performance tests for your ROS 2 packages.

Package: libperformance-test-fixture0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the shared library.

Package: libperformance-test-fixture-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libosrf-testing-tools-cpp-dev,
 libperformance-test-fixture0d (= ${binary:Version}),
 python3-ament-cmake-google-benchmark,
Description: ${source:Synopsis} (development headers)
 ${source:Extended-Description}
 .
 This package installs the development headers and CMake config files.
