=== debian/rules ===
#!/usr/bin/make -f

export ROS_CONFIGURE_ARGS = -DPERFORMANCE_TEST_FIXTURE_SOVERSION=0d

%:
	dh $@ --buildsystem=ros
