## ros2-performance-test-fixture 0.2.0

=== debian/changelog ===
ros2-performance-test-fixture (0.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libbenchmark1.8.3

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Jan 2024 15:43:11 +0000

ros2-performance-test-fixture (0.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 0.2.0
  * Refresh patches
  * Bump Standards-Version to 4.6.2
  * Add hardening flags to build

 -- Timo Röhling <roehling@debian.org>  Sat, 24 Jun 2023 20:35:19 +0200
