## ros2-performance-test-fixture 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 project(performance_test_fixture CXX)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
