=== debian/changelog ===
ros2-performance-test-fixture (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Jul 2024 18:25:16 +0200

ros2-performance-test-fixture (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:37:44 +0200
