=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libosrf-testing-tools-cpp-dev,
  python3-ament-cmake-google-benchmark <!nocheck>,
 Homepage: https://github.com/ros2/performance_test_fixture
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture
