=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_CONFIGURE_ARGS = -DPERFORMANCE_TEST_FIXTURE_SOVERSION=0d

%:
	dh $@ --buildsystem=ros
